public final class HttpRule
extends com.google.api.client.json.GenericJson
This is the Java data model class that specifies how to parse/serialize into the JSON that is transmitted over HTTP when working with the Service Usage API. For a detailed explanation see: https://developers.google.com/api-client-library/java/google-http-java-client/json
com.google.api.client.util.GenericData.Flags| Constructor and Description |
|---|
HttpRule() |
| Modifier and Type | Method and Description |
|---|---|
HttpRule |
clone() |
java.util.List<HttpRule> |
getAdditionalBindings()
Additional HTTP bindings for the selector.
|
java.lang.Boolean |
getAllowHalfDuplex()
When this flag is set to true, HTTP requests will be allowed to invoke a half-duplex streaming
method.
|
java.lang.String |
getBody()
The name of the request field whose value is mapped to the HTTP request body, or `*` for
mapping all request fields not captured by the path pattern to the HTTP body, or omitted for
not having any HTTP request body.
|
CustomHttpPattern |
getCustom()
The custom pattern is used for specifying an HTTP method that is not included in the `pattern`
field, such as HEAD, or "*" to leave the HTTP method unspecified for this rule.
|
java.lang.String |
getDelete()
Maps to HTTP DELETE.
|
java.lang.String |
getGet()
Maps to HTTP GET.
|
java.lang.String |
getPatch()
Maps to HTTP PATCH.
|
java.lang.String |
getPost()
Maps to HTTP POST.
|
java.lang.String |
getPut()
Maps to HTTP PUT.
|
java.lang.String |
getResponseBody()
Optional.
|
java.lang.String |
getSelector()
Selects a method to which this rule applies.
|
HttpRule |
set(java.lang.String fieldName,
java.lang.Object value) |
HttpRule |
setAdditionalBindings(java.util.List<HttpRule> additionalBindings)
Additional HTTP bindings for the selector.
|
HttpRule |
setAllowHalfDuplex(java.lang.Boolean allowHalfDuplex)
When this flag is set to true, HTTP requests will be allowed to invoke a half-duplex streaming
method.
|
HttpRule |
setBody(java.lang.String body)
The name of the request field whose value is mapped to the HTTP request body, or `*` for
mapping all request fields not captured by the path pattern to the HTTP body, or omitted for
not having any HTTP request body.
|
HttpRule |
setCustom(CustomHttpPattern custom)
The custom pattern is used for specifying an HTTP method that is not included in the `pattern`
field, such as HEAD, or "*" to leave the HTTP method unspecified for this rule.
|
HttpRule |
setDelete(java.lang.String delete)
Maps to HTTP DELETE.
|
HttpRule |
setGet(java.lang.String get)
Maps to HTTP GET.
|
HttpRule |
setPatch(java.lang.String patch)
Maps to HTTP PATCH.
|
HttpRule |
setPost(java.lang.String post)
Maps to HTTP POST.
|
HttpRule |
setPut(java.lang.String put)
Maps to HTTP PUT.
|
HttpRule |
setResponseBody(java.lang.String responseBody)
Optional.
|
HttpRule |
setSelector(java.lang.String selector)
Selects a method to which this rule applies.
|
getFactory, setFactory, toPrettyString, toStringentrySet, get, getClassInfo, getUnknownKeys, put, putAll, remove, setUnknownKeysclear, containsKey, containsValue, equals, hashCode, isEmpty, keySet, size, valuespublic java.util.List<HttpRule> getAdditionalBindings()
null for nonepublic HttpRule setAdditionalBindings(java.util.List<HttpRule> additionalBindings)
additionalBindings - additionalBindings or null for nonepublic java.lang.Boolean getAllowHalfDuplex()
null for nonepublic HttpRule setAllowHalfDuplex(java.lang.Boolean allowHalfDuplex)
allowHalfDuplex - allowHalfDuplex or null for nonepublic java.lang.String getBody()
null for nonepublic HttpRule setBody(java.lang.String body)
body - body or null for nonepublic CustomHttpPattern getCustom()
null for nonepublic HttpRule setCustom(CustomHttpPattern custom)
custom - custom or null for nonepublic java.lang.String getDelete()
null for nonepublic HttpRule setDelete(java.lang.String delete)
delete - delete or null for nonepublic java.lang.String getGet()
null for nonepublic HttpRule setGet(java.lang.String get)
get - get or null for nonepublic java.lang.String getPatch()
null for nonepublic HttpRule setPatch(java.lang.String patch)
patch - patch or null for nonepublic java.lang.String getPost()
null for nonepublic HttpRule setPost(java.lang.String post)
post - post or null for nonepublic java.lang.String getPut()
null for nonepublic HttpRule setPut(java.lang.String put)
put - put or null for nonepublic java.lang.String getResponseBody()
null for nonepublic HttpRule setResponseBody(java.lang.String responseBody)
responseBody - responseBody or null for nonepublic java.lang.String getSelector()
null for nonepublic HttpRule setSelector(java.lang.String selector)
selector - selector or null for nonepublic HttpRule set(java.lang.String fieldName, java.lang.Object value)
set in class com.google.api.client.json.GenericJsonpublic HttpRule clone()
clone in class com.google.api.client.json.GenericJson